Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class ImageAttribute

    java.lang.Object
      com.amazonaws.services.ec2.model.ImageAttribute

    public class ImageAttribute

extends Object

Represents an attribute of an Amazon Machine Image (AMI).

Constructor Summary
`ImageAttribute()`

Method Summary
`List<BlockDeviceMapping>` | `getBlockDeviceMappings()` Block device mappings for the associated AMI.
`String` | `getDescription()` User-created description of the associated AMI.
`String` | `getImageId()` The ID of the associated AMI.
`String` | `getKernelId()` Kernel ID of the associated AMI.
`List<LaunchPermission>` | `getLaunchPermissions()` Launch permissions for the associated AMI.
`List<ProductCode>` | `getProductCodes()` Product codes for the associated AMI.
`String` | `getRamdiskId()` Ramdisk ID of the associated AMI.
`void` | `setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Block device mappings for the associated AMI.
`void` | `setDescription(String description)` User-created description of the associated AMI.
`void` | `setImageId(String imageId)` The ID of the associated AMI.
`void` | `setKernelId(String kernelId)` Kernel ID of the associated AMI.
`void` | `setLaunchPermissions(Collection<LaunchPermission> launchPermissions)` Launch permissions for the associated AMI.
`void` | `setProductCodes(Collection<ProductCode> productCodes)` Product codes for the associated AMI.
`void` | `setRamdiskId(String ramdiskId)` Ramdisk ID of the associated AMI.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ImageAttribute` | `withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)` Block device mappings for the associated AMI.
`ImageAttribute` | `withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Block device mappings for the associated AMI.
`ImageAttribute` | `withDescription(String description)` User-created description of the associated AMI.
`ImageAttribute` | `withImageId(String imageId)` The ID of the associated AMI.
`ImageAttribute` | `withKernelId(String kernelId)` Kernel ID of the associated AMI.
`ImageAttribute` | `withLaunchPermissions(Collection<LaunchPermission> launchPermissions)` Launch permissions for the associated AMI.
`ImageAttribute` | `withLaunchPermissions(LaunchPermission... launchPermissions)` Launch permissions for the associated AMI.
`ImageAttribute` | `withProductCodes(Collection<ProductCode> productCodes)` Product codes for the associated AMI.
`ImageAttribute` | `withProductCodes(ProductCode... productCodes)` Product codes for the associated AMI.
`ImageAttribute` | `withRamdiskId(String ramdiskId)` Ramdisk ID of the associated AMI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageAttribute

    public ImageAttribute()

Method Detail

### getImageId

    public String getImageId()

  The ID of the associated AMI.

  Returns:
    The ID of the associated AMI.

### setImageId

    public void setImageId(String imageId)

  The ID of the associated AMI.

  Parameters:
    `imageId` - The ID of the associated AMI.

### withImageId

    public ImageAttribute withImageId(String imageId)

  The ID of the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageId` - The ID of the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLaunchPermissions

    public List<LaunchPermission> getLaunchPermissions()

  Launch permissions for the associated AMI.

  Returns:
    Launch permissions for the associated AMI.

### setLaunchPermissions

    public void setLaunchPermissions(Collection<LaunchPermission> launchPermissions)

  Launch permissions for the associated AMI.

  Parameters:
    `launchPermissions` - Launch permissions for the associated AMI.

### withLaunchPermissions

    public ImageAttribute withLaunchPermissions(LaunchPermission... launchPermissions)

  Launch permissions for the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `launchPermissions` - Launch permissions for the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLaunchPermissions

    public ImageAttribute withLaunchPermissions(Collection<LaunchPermission> launchPermissions)

  Launch permissions for the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `launchPermissions` - Launch permissions for the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProductCodes

    public List<ProductCode> getProductCodes()

  Product codes for the associated AMI.

  Returns:
    Product codes for the associated AMI.

### setProductCodes

    public void setProductCodes(Collection<ProductCode> productCodes)

  Product codes for the associated AMI.

  Parameters:
    `productCodes` - Product codes for the associated AMI.

### withProductCodes

    public ImageAttribute withProductCodes(ProductCode... productCodes)

  Product codes for the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productCodes` - Product codes for the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withProductCodes

    public ImageAttribute withProductCodes(Collection<ProductCode> productCodes)

  Product codes for the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productCodes` - Product codes for the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKernelId

    public String getKernelId()

  Kernel ID of the associated AMI.

  Returns:
    Kernel ID of the associated AMI.

### setKernelId

    public void setKernelId(String kernelId)

  Kernel ID of the associated AMI.

  Parameters:
    `kernelId` - Kernel ID of the associated AMI.

### withKernelId

    public ImageAttribute withKernelId(String kernelId)

  Kernel ID of the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `kernelId` - Kernel ID of the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRamdiskId

    public String getRamdiskId()

  Ramdisk ID of the associated AMI.

  Returns:
    Ramdisk ID of the associated AMI.

### setRamdiskId

    public void setRamdiskId(String ramdiskId)

  Ramdisk ID of the associated AMI.

  Parameters:
    `ramdiskId` - Ramdisk ID of the associated AMI.

### withRamdiskId

    public ImageAttribute withRamdiskId(String ramdiskId)

  Ramdisk ID of the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ramdiskId` - Ramdisk ID of the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  User-created description of the associated AMI.

  Returns:
    User-created description of the associated AMI.

### setDescription

    public void setDescription(String description)

  User-created description of the associated AMI.

  Parameters:
    `description` - User-created description of the associated AMI.

### withDescription

    public ImageAttribute withDescription(String description)

  User-created description of the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `description` - User-created description of the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBlockDeviceMappings

    public List<BlockDeviceMapping> getBlockDeviceMappings()

  Block device mappings for the associated AMI.

  Returns:
    Block device mappings for the associated AMI.

### setBlockDeviceMappings

    public void setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Block device mappings for the associated AMI.

  Parameters:
    `blockDeviceMappings` - Block device mappings for the associated AMI.

### withBlockDeviceMappings

    public ImageAttribute withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)

  Block device mappings for the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Block device mappings for the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBlockDeviceMappings

    public ImageAttribute withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Block device mappings for the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Block device mappings for the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.